package backup;
#************************************************************************#
#* LoadeBackup                                                          *#
#* ============================================                         *#
#*                                                                      *#
#* Copyright (c) 2008-2009 by Loreno Edelmondo                          *#
#* http://loadebackup.sourceforge.net                                   *#
#*                                                                      *#
#* This program is free software. You can redistribute it and/or modify *#
#* it under the terms of the GNU General Public License as published by *#
#* the Free Software Foundation; either version 2 of the License.       *#
#************************************************************************#

use strict;
use fs;

sub new {
	my ($classe, $lbackup, $lrsy, $fcron, $ncron) = @_;
	my $self = { 
		log_backup => $lbackup,	
		log_backup_rsy => $lrsy, 
		file_cron => $fcron, 
		num_cron => $ncron };
	return bless $self;
}

sub cron {
	#Stabilisce se il num backup ha completato il ciclo rotate
	#ritorna 0 = non cancella; 1 = cancella
	my ($class, $self) = @_;
	my $ncron = $self->{num_cron};
	my $fcron = $self->{file_cron};
	my $lbackup = $self->{log_backup};
 	my $fs=fs->new();
	if($fs->rsfile($fcron) == $ncron) {
		$fs->wfile($fcron, 0);
		return 1;
	} else {
		$fs->wfile($fcron, $fs->rsfile($fcron)+1);
		return 0;
	}
}

sub deldir {
	#Cancella una directory: ritorna 1 se cancellata 2 se non
	my ($class, $dir) = @_;
	if(-e $dir){
		qx{rm -fr $dir};
		return 1;
	} else {
		return 2;
	}
}

sub d {
	my ($class, $stringa) = @_;
	print "\n" . $stringa;
	return 1;
}

1
